Order Satellite Data

Click here for User Services

In case of any issues please report to uops_designer@nrsc.gov.in

The new User Services application is developed using Adobe Flex technology which requires the following settings on client's web browser.

1. Flash plugin Required - version 9.0.0 or above

2. Please ensure port 33333 is accessible in your Organizations's network

3. Browser Configuration

The web-browser should be configured to check for the updated version of the application on loading the web-page.

The application has been tested on the following browser versions. Steps to configure the web-browser are:

  • Internet Explorer : version 8.0 or above.
    Change settings to Internet Options > General > Browsing History > Settings > Every time I visit the webpage
  • Mozilla Firefox : version 24.0 or above.
  • Google Chrome : version 30.0 or above.Change settings to Settings > Network > Change proxy settings > General > Browsing History > Settings > Every time I visit the webpage

 

3. Dont's while using the application

  • Do not use the browser back button while using the application
  • In case of any inconsistent observations, trying clearing your web browser's cache and reload the application. If inconsistency still exists, please report the issue at uops_designer@nrsc.gov.in